local my_base_config = {}

function my_base_config.modifySettings(settings)

    game.config.earnAchievementsWithMods = true
    game.config.enforceMainConnections = false
    game.config.industryButton = true
    
    game.config.world.areaPerIndustry = 3.5     -- 2.5
    
    game.config.terrain.generator.noiseScaleLow = 0.0               -- 0.6     -- -10 - 10
    game.config.terrain.generator.noiseScaleHigh = 0.6              -- 1.4     -- -10 - 10
    game.config.terrain.generator.ridgeMinHeight = 375.0            -- 300.0   -- 0m - 1000m
    game.config.terrain.generator.ridgeMaxHeight = 650.0            -- 575.0   -- 0m - 1000m
    game.config.terrain.generator.ridgeProbabilityLow = 0.6         -- 0.6     -- 0 - 1
    game.config.terrain.generator.ridgeProbabilityHigh = 0.8        -- 0.8     -- 0 - 1
    
    game.config.terrain.vegetation.forestLevel = 0.75               -- 0.5     -- 0.0 - 1.0
    game.config.terrain.vegetation.treeLine = 600                   -- 470.0
    
    game.config.terrain.river.widthFactor = 1.15        -- 1.0
    game.config.terrain.river.probability = 0.9         -- 0.6      -- -0 - 1
    
    game.config.terrain.valley.length = 60000           -- 40000    -- 10000 - 100000
    game.config.terrain.valley.probability = 0.9         -- 0.6      -- -0 - 1    
    
end

return my_base_config
